summaryrefslogtreecommitdiffstats
path: root/extras/test/run.sh
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2010-10-28 07:02:44 +0000
committerAnand V. Avati <avati@dev.gluster.com>2010-10-28 20:42:45 -0700
commit8ea6882c424afd3f18ad1273ec31d34f5d74e47e (patch)
tree650c0454c5a36314ec83b26e3393dacd94886574 /extras/test/run.sh
parentd654c29d20f24802e6c5aa24a9206377428b9359 (diff)
script for testing glusterd sanity
Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com> Signed-off-by: Anand V. Avati <avati@dev.gluster.com> BUG: 1436 () URL: http://bugs.gluster.com/cgi-bin/bugzilla3/show_bug.cgi?id=1436
Diffstat (limited to 'extras/test/run.sh')
-rwxr-xr-xextras/test/run.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/extras/test/run.sh b/extras/test/run.sh
new file mode 100755
index 00000000..e014a103
--- /dev/null
+++ b/extras/test/run.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# Copyright (c) 2006-2010 Gluster, Inc. <http://www.gluster.com>
+# This file is part of GlusterFS.
+
+# GlusterFS is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published
+# by the Free Software Foundation; either version 3 of the License,
+# or (at your option) any later version.
+
+# GlusterFS is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Running gluster sanity test which starts glusterd and runs gluster commands, and exit at the first failure.
+$PWD/gluster_commands.sh
+
+if [ $? -ne 0 ]; then
+ echo "sanity failed"
+else
+ echo "sanity passed"
+fi
+
+# Stopping glusterd
+$PWD/stop_glusterd.sh
+